ParameterControllerResolveParameterValues Method

POST /Parameter/ResolveParameterValues/ Resolves parameter values with tokens to return parameter values with discrete values. If any of the given parameter values contains no tokens, then the same value is returned.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("ResolveParameterValues")]
public IActionResult ResolveParameterValues(
	[FromBodyAttribute] IList<ResolveParameterValueOptions> options,
	Guid? sessionId = null
)

Parameters

options
Type: System.Collections.GenericIListResolveParameterValueOptions
The options to use for resolving the parameter values.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
An array of ParameterValueData representation of the value with discrete values, or a status code indicating the problem.
See Also